de.vc.jfo.tools

## Class Util

- java.lang.Object
- - de.vc.jfo.tools.Util

-     public class Util
      extends java.lang.Object

  The utility class provides some helper methodes internally used by JFO.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Node` | `deepSearchNode(Node parentNode, java.lang.Class nodeClass)`
    `static Measure` | `emuToPt(double emu)`
    `static Measure` | `emuToPt(double emu, int scale)`
    `static boolean` | `equals(java.lang.Object o1, java.lang.Object o2)` Tests if `o1==o2==null` or `o1.equals(o2)`.
    `static boolean` | `isClassAvailable(java.lang.String className)`
    `static Measure` | `nonNull(Measure m)` If the given measure `m` is null a new measure with a value of 0 points is returned.
    `static java.lang.String` | `setEnumAttribute(java.lang.String allValues, java.lang.String value, boolean enabled)`
    `static Measure` | `twipsToCM(double twips)`
    `static Measure` | `twipsToCM(double twips, int scale)`
    `static Measure` | `twipsToPt(double twips)`
    `static Measure` | `twipsToPt(double twips, int scale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### nonNull

          public static Measure nonNull(Measure m)

      If the given measure `m` is null a new measure with a value of 0 points is returned.
      Parameters:
        `m` - Measure
      Returns:
        Measure

    - #### twipsToCM

          public static Measure twipsToCM(double twips)

    - #### twipsToCM

          public static Measure twipsToCM(double twips,
                          int scale)

    - #### twipsToPt

          public static Measure twipsToPt(double twips)

    - #### twipsToPt

          public static Measure twipsToPt(double twips,
                          int scale)

    - #### emuToPt

          public static Measure emuToPt(double emu)

    - #### emuToPt

          public static Measure emuToPt(double emu,
                        int scale)

    - #### setEnumAttribute

          public static java.lang.String setEnumAttribute(java.lang.String allValues,
                                          java.lang.String value,
                                          boolean enabled)

    - #### equals

          public static boolean equals(java.lang.Object o1,
                       java.lang.Object o2)

      Tests if `o1==o2==null` or `o1.equals(o2)`.
      Parameters:
        `o1` - Object 1
        `o2` - Object 2
      Returns:
        boolean

    - #### deepSearchNode

          public static Node deepSearchNode(Node parentNode,
                            java.lang.Class nodeClass)

    - #### isClassAvailable

          public static boolean isClassAvailable(java.lang.String className)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.